org.apache.lucene.index

## Class AssertingAtomicReader.AssertingNumericDocValues

- java.lang.Object
- - org.apache.lucene.index.NumericDocValues
  - - org.apache.lucene.index.AssertingAtomicReader.AssertingNumericDocValues

Enclosing class:
  AssertingAtomicReader

    public static class AssertingAtomicReader.AssertingNumericDocValues
    extends NumericDocValues

Wraps a NumericDocValues but with additional asserts

### Field Summary

### Fields inherited from class org.apache.lucene.index.NumericDocValues

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`AssertingAtomicReader.AssertingNumericDocValues(NumericDocValues in, int maxDoc)`

### Method Summary

Methods
`long` `get(int docID)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertingAtomicReader.AssertingNumericDocValues

    public AssertingAtomicReader.AssertingNumericDocValues(NumericDocValues in,
                                                   int maxDoc)

### Method Detail

#### get

    public long get(int docID)

Specified by:
  `get` in class `NumericDocValues`